summaryrefslogtreecommitdiffstats
path: root/src/main/scripts/common_functions.sh
diff options
context:
space:
mode:
authorHarish Venkata Kajur <vk250x@att.com>2019-01-04 13:34:33 -0500
committerHarish Venkata Kajur <vk250x@att.com>2019-01-04 13:34:38 -0500
commitf1c697ceab5192ab1d6e770542899e8709067fa9 (patch)
treef9a137ffb3151eca296b92a767316c98f362a2ac /src/main/scripts/common_functions.sh
parentf5098f866418dc5f4b2accc5b5551d64e7277037 (diff)
Update the GenTester to exit properly1.0.3
Issue-ID: AAI-1958 Change-Id: Ifbffd1c15e474dce0cc7b3102f7b6961a72a864e Signed-off-by: Harish Venkata Kajur <vk250x@att.com>
Diffstat (limited to 'src/main/scripts/common_functions.sh')
-rw-r--r--src/main/scripts/common_functions.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/src/main/scripts/common_functions.sh b/src/main/scripts/common_functions.sh
index ed795fe..55fb516 100644
--- a/src/main/scripts/common_functions.sh
+++ b/src/main/scripts/common_functions.sh
@@ -49,7 +49,10 @@ execute_spring_jar(){
JAVA_OPTS="${JAVA_OPTS} ${JAVA_POST_OPTS}";
- ${JAVA_HOME}/bin/java ${JVM_OPTS} ${JAVA_OPTS} -jar ${EXECUTABLE_JAR} "$@"
+ ${JAVA_HOME}/bin/java ${JVM_OPTS} ${JAVA_OPTS} -jar ${EXECUTABLE_JAR} "$@" || {
+ echo "Failed to run the tool $0 successfully";
+ exit 1;
+ }
}
# Prints the start date and the script that the user called